## org.eclipse.emf.ecore.presentation
Class EcoreEditor.XML

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.ui.part.MultiPageEditorPart
                      org.eclipse.emf.ecore.presentation.EcoreEditor
                          org.eclipse.emf.ecore.presentation.EcoreEditor.XML

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IViewerProvider, IEditingDomainProvider, IMenuListener, ISelectionProvider, IGotoMarker, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

Enclosing class:
  EcoreEditor

    public static class EcoreEditor.XML

extends EcoreEditor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.presentation.EcoreEditor
`EcoreEditor.ReverseAdapterFactoryContentProvider, EcoreEditor.XML`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.presentation.EcoreEditor

`adapterFactory, changedResources, contentOutlinePage, contentOutlineStatusLineManager, contentOutlineViewer, currentViewer, ECORE_FILE_EXTENSION, editingDomain, editorSelection, EMOF_FILE_EXTENSION, markerHelper, partListener, problemIndicationAdapter, propertySheetPage, removedResources, resourceChangeListener, resourceToDiagnosticMap, savedResources, selectionChangedListener, selectionChangedListeners, selectionViewer, updateProblemIndication`

Fields inherited from class org.eclipse.ui.part.MultiPageEditorPart
`PAGE_CONTAINER_SITE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`EcoreEditor.XML()`

Method Summary
`void` `createModel()`

Methods inherited from class org.eclipse.emf.ecore.presentation.EcoreEditor

`addSelectionChangedListener, analyzeResourceProblems, createContextMenuFor, createContextMenuForGen, createModelGen, createPages, dispose, doSave, doSaveAs, doSaveAs, firePropertyChange, getActionBarContributor, getActionBars, getAdapter, getAdapterFactory, getContentOutlinePage, getEditingDomain, getPropertySheetPage, getSelection, getViewer, gotoMarker, handleActivate, handleChangedResources, handleContentOutlineSelection, handleDirtyConflict, hideTabs, init, initializeEditingDomain, isDirty, isPersisted, isSaveAsAllowed, menuAboutToShow, pageChange, removeSelectionChangedListener, setCurrentViewer, setFocus, setSelection, setSelectionToViewer, setStatusLineManager, showOutlineView, showTabs, updateProblemIndication`

Methods inherited from class org.eclipse.ui.part.MultiPageEditorPart
`activateSite, addPage, addPage, addPage, addPage, createPageContainer, createPartControl, createSite, deactivateSite, findEditors, getActiveEditor, getActivePage, getContainer, getControl, getEditor, getPageCount, getPageImage, getPageSite, getPageText, handlePropertyChange, initializePageSwitching, removePage, setActiveEditor, setActivePage, setControl, setPageImage, setPageText`

Methods inherited from class org.eclipse.ui.part.EditorPart
`checkSite, getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setInput, setInputWithNotify, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Constructor Detail

### EcoreEditor.XML

    public EcoreEditor.XML()

Method Detail

### createModel

    public void createModel()

  Overrides:
    `createModel` in class `EcoreEditor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.